<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
mpoObject Field
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > EdmFileInfo Structure : mpoObject Field

Visual Basic
C#
C++/CLI
Interface for the file or folder that was added to the batch using one of the IEdmBatchAdd::AddXxxxx methods.

# Syntax

Visual Basic |
--- | ---

    Public mpoObject As IEdmObject5

C# |
--- | ---

    public IEdmObject5 mpoObject

C++/CLI |
--- | ---

    public:
    IEdmObject5^ mpoObject

#### Field Value

IEdmFile6, if a file, or IEdmFolder6, if a folder

# Remarks

This member is valid only if you specify EdmBatchAddFolderFlag.Ebaff_GetInterface or EdmAddFlag.EdmAdd_GetInterface in the method that adds the file or folder to the batch.

# See Also

####

EdmFileInfo Structure
EdmFileInfo Members